Bug 105762 - japanese man page of nkf is not UTF-8 encoded
Summary: japanese man page of nkf is not UTF-8 encoded
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nkf (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-09-27 04:24 UTC by Kazutoshi Morioka
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.03-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-30 07:18:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kazutoshi Morioka 2003-09-27 04:24:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030702
Galeon/1.3.9

Description of problem:
At Fedora Core, japanese man pages should be encoded with UTF-8.
But man page for nkf, "/usr/share/man/ja/man1/nkf.1.gz" is encoded with EUC-JP.
So, japanese man page of nkf cannot be read in default ja_JP.UTF-8 locale.

I suspect another japanese man pages not included in man-pages-ja are also
encoded with EUC-JP.

Version-Release number of selected component (if applicable):
nkf-2.02-4

How reproducible:
Always

Steps to Reproduce:
1. Set language to japanese (normaly, ja_JP.UTF-8 is selected)
2. Open gnome-terminal.
3. Type this command.
man nkf

Actual Results:  man page for nkf is shown in corrupted characters and not readale.

Expected Results:  man page for nkf is shown in japanese.

Additional info:

I suspect another japanese man pages not included in man-pages-ja are also
encoded with EUC-JP.

Comment 1 Akira TAGOH 2003-09-30 07:18:08 UTC
fixed in 2.03-1


Note You need to log in before you can comment on or make changes to this bug.